> For the complete documentation index, see [llms.txt](https://docs.muzaic.ai/muzaic-api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.muzaic.ai/muzaic-api-docs/reference/getting-the-music.md).

# Getting the music

You can access unlimited music through two endpoints:

The `/singleFile` endpoint is ideal when you only need to [quickly generate a music piece](/muzaic-api-docs/reference/getting-the-music/quickly-getting-an-audio-file.md).&#x20;

The `/soundtrack` endpoint is suitable for [more complex requests](/muzaic-api-docs/reference/getting-the-music/advanced-soundtracking.md). In this case music styles, tags and parameters can change in time exactly when you want them to change!&#x20;

In both cases, you have extensive control over various aspects of composition.

Additionally you can use `/audioFromHash` endpoint when you need to regenerate an audio region.

{% hint style="info" %}
**Good to know:** you can also use `/soundtrack` endpoint to create a music that consist of a single region. Using this endpoint will allow you to utilize it's special features.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.muzaic.ai/muzaic-api-docs/reference/getting-the-music.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
